Commit 9b165553 authored by Daniel Scheffler's avatar Daniel Scheffler
Browse files

Updated setup requirements.

updated __version__ and __versionalias__
parent aca10a51
Pipeline #324 passed with stage
in 30 seconds
......@@ -2,8 +2,8 @@
__author__ = """Daniel Scheffler"""
__email__ = 'danschef@gfz-potsdam.de'
__version__ = '0.4.6'
__versionalias__ = 'v20170703.06'
__version__ = '0.4.7'
__versionalias__ = 'v20170703.07'
from .baseclasses import GeoArray
......
git+https://gitext.gfz-potsdam.de/danschef/py_tools_ds.git
py_tools_ds
numpy
matplotlib
six
......
......@@ -10,22 +10,20 @@ with open('HISTORY.rst') as history_file:
history = history_file.read()
requirements = [
'numpy', 'matplotlib', 'six', 'gdal', 'shapely', 'geopandas', 'dill', 'mpld3', 'geojson', 'folium', 'holoviews'
#'py_tools_ds' # pip install git+https://gitext.gfz-potsdam.de/danschef/py_tools_ds.git
]
'py_tools_ds', 'numpy', 'matplotlib', 'six', 'gdal', 'shapely', 'geopandas', 'dill', 'mpld3', 'geojson', 'folium',
'holoviews']
test_requirements = ["coverage"]
setup(
name='geoarray',
version='0.4.6',
version='0.4.7',
description="Fast Python interface for geodata - either on disk or in memory.",
long_description=readme + '\n\n' + history,
author="Daniel Scheffler",
author_email='danschef@gfz-potsdam.de',
url='https://gitext.gfz-potsdam.de/danschef/geoarray',
packages=find_packages(), # searches for packages with an __init__.py and returns them as properly formatted list
dependency_links=['https://gitext.gfz-potsdam.de/danschef/py_tools_ds/repository/archive.tar.gz?ref=master'],
package_dir={'geoarray':'geoarray'},
include_package_data=True,
install_requires=requirements,
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment